Subject: Re: IBM's Jikes Java Compiler on Cygwin b20.1
From: [email-masked] (Stipe Tolj)

27 Dec 1998 05:32:56 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Mumit Khan <[email-masked]>
Cc: GNU-Win32 <[email-masked]>

> Or use the workaround I had sent you. I recommend not mixing b19 and
> b20.x compilers (unless you use egcs for both of course).
>
> > ...
> > ld -L. -o jikes.exe jikes.o scanner.o code.o zip.o unzip.o ast.o
> > diagnose.o parser.o lpginput.o lcase.o javaact.o error.o set.o symbol.o
> > lookup.o depend.o stream.o op.o control.o modifier.o system.o bytecode.o
> > body.o decl.o definite.o dump.o expr.o getclass.o init.o double.o
> > config.o option.o incrmnt.o case.o long.o -lstdc++ -lgcc -lcrtdll
> > -lcygwin -lkernel32
> > ld: warning: cannot find entry symbol _mainCRTStartup; defaulting to
> > 00401000
>
> Yikes! Why are you using "ld" to link! You're missing the startup files,
> and the program crashes and it has every right to. Also, why are you
> linking with CRTDLL for a Cygwin app (if it's to get the wcscpy etc,
> it's the wrong way to do it)! Never mix Cygwin and MS runtime DLLs.
>
> I'm attaching my trivial patch for Jikes, so you can just type 'make'.
> It also enables wide char versions of stuff from config.cpp when
> __CYGWIN__ is defined.

thanks a lot Mumit for the advice and the diff file. After appliying the patch the package
compiles smooth using egcs-1.1.

I'll put the patch file to our diff section on our project's web site.

Regards,
Stipe

--
Stipe Tolj <[email-masked]>
Cygwin Porting Project
Department of Economical Computer Science
University of Cologne, Germany
http://www-public.rz.uni-duesseldorf.de/~tolj

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".